Bug 312480 - Akonadi IMAP resource crashed when changing authentication method
Summary: Akonadi IMAP resource crashed when changing authentication method
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Unclassified
Component: IMAP resource (show other bugs)
Version: 4.9
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Kevin Ottens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-02 08:52 UTC by Diego
Modified: 2013-02-17 21:02 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego 2013-01-02 08:52:43 UTC
Application: akonadi_imap_resource (4.9)
KDE Platform Version: 4.9.4
Qt Version: 4.8.4
Operating System: Linux 3.6.10-2.fc17.x86_64 x86_64
Distribution: "Fedora release 17 (Beefy Miracle)"

-- Information about the crash:
- What I was doing when the application crashed:

This is the sequence of actions I did to crash the IMAP resource:
- opened Kontact;
- configured a new IMAP resource, an Zoho.com IMAP account with SSL on 993 and PLAIN authentication;
- closed Kontact;
- encountered a window telling me that my Zoho.com account doesn't support PLAIN authentication;
- changed to LOGIN authentication to see if something changes;
- got the Akonadi IMAP resource crash of this IMAP account.

-- Backtrace:
Application: Zoho.com IMAP di tipo Server di posta IMAP (akonadi_imap_resource), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[KCrash Handler]
#6  0x00007fbbcca11c04 in KIMAP::Session::state (this=0x17724d0) at /usr/src/debug/kdepimlibs-4.9.4/kimap/session.cpp:93
#7  0x0000000000453be9 in SessionPool::killSession (this=this@entry=0x133e730, session=session@entry=0x17724d0, termination=termination@entry=SessionPool::LogoutSession) at /usr/src/debug/kdepim-runtime-4.9.4/resources/imap/sessionpool.cpp:181
#8  0x00000000004545e1 in SessionPool::cancelSessionCreation (this=this@entry=0x133e730, session=0x17724d0, errorCode=errorCode@entry=2, errorMessage=...) at /usr/src/debug/kdepim-runtime-4.9.4/resources/imap/sessionpool.cpp:233
#9  0x00000000004558c9 in SessionPool::onPasswordRequestDone (this=0x133e730, resultType=<optimized out>, password=...) at /usr/src/debug/kdepim-runtime-4.9.4/resources/imap/sessionpool.cpp:295
#10 0x0000000000456447 in SessionPool::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kdepim-runtime-4.9.4/x86_64-redhat-linux-gnu/resources/imap/sessionpool.moc:93
#11 0x00007fbbcdfd0dbf in QMetaObject::activate (sender=0x1339af0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff12298560) at kernel/qobject.cpp:3539
#12 0x0000000000441c01 in PasswordRequesterInterface::done (this=<optimized out>, _t1=1, _t2=...) at /usr/src/debug/kdepim-runtime-4.9.4/x86_64-redhat-linux-gnu/resources/imap/passwordrequesterinterface.moc:117
#13 0x00000000004213b2 in SettingsPasswordRequester::askUserInput (this=0x1339af0, serverError=...) at /usr/src/debug/kdepim-runtime-4.9.4/resources/imap/settingspasswordrequester.cpp:66
#14 0x00007fbbcdfd029e in QObject::event (this=0x1339af0, e=<optimized out>) at kernel/qobject.cpp:1194
#15 0x00007fbbcd1505ac in QApplicationPrivate::notify_helper (this=this@entry=0x1153590, receiver=receiver@entry=0x1339af0, e=e@entry=0x16b79c0) at kernel/qapplication.cpp:4562
#16 0x00007fbbcd154a2a in QApplication::notify (this=0x7fff122990e0, receiver=0x1339af0, e=0x16b79c0) at kernel/qapplication.cpp:4423
#17 0x00007fbbcb0878a6 in KApplication::notify (this=0x7fff122990e0, receiver=0x1339af0, event=0x16b79c0) at /usr/src/debug/kdelibs-4.9.4/kdeui/kernel/kapplication.cpp:311
#18 0x00007fbbcdfbb99e in QCoreApplication::notifyInternal (this=0x7fff122990e0, receiver=receiver@entry=0x1339af0, event=event@entry=0x16b79c0) at kernel/qcoreapplication.cpp:946
#19 0x00007fbbcdfbf451 in sendEvent (event=0x16b79c0, receiver=0x1339af0) at kernel/qcoreapplication.h:231
#20 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x111d8e0) at kernel/qcoreapplication.cpp:1570
#21 0x00007fbbcdfe9e33 in sendPostedEvents () at kernel/qcoreapplication.h:236
#22 postEventSourceDispatch (s=s@entry=0x114e980) at kernel/qeventdispatcher_glib.cpp:279
#23 0x00007fbbc89b6825 in g_main_dispatch (context=0x1154f20) at gmain.c:2539
#24 g_main_context_dispatch (context=context@entry=0x1154f20) at gmain.c:3075
#25 0x00007fbbc89b6b58 in g_main_context_iterate (context=context@entry=0x1154f20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
#26 0x00007fbbc89b6c14 in g_main_context_iteration (context=0x1154f20, may_block=1) at gmain.c:3207
#27 0x00007fbbcdfe9fc6 in QEventDispatcherGlib::processEvents (this=0x111f140, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#28 0x00007fbbcd1f05ee in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#29 0x00007fbbcdfba6ef in QEventLoop::processEvents (this=this@entry=0x7fff12299060, flags=...) at kernel/qeventloop.cpp:149
#30 0x00007fbbcdfba978 in QEventLoop::exec (this=0x7fff12299060, flags=...) at kernel/qeventloop.cpp:204
#31 0x00007fbbcdfbf768 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#32 0x00007fbbce6e7b93 in Akonadi::ResourceBase::init (r=0x12a3370) at /usr/src/debug/kdepimlibs-4.9.4/akonadi/resourcebase.cpp:451
#33 0x000000000041b2e3 in Akonadi::ResourceBase::init<ImapResource> (argc=<optimized out>, argv=<optimized out>) at /usr/include/kde4/akonadi/resourcebase.h:188
#34 0x00007fbbc9b70735 in __libc_start_main (main=0x415660 <main(int, char**)>, argc=3, ubp_av=0x7fff122991f8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff122991e8) at libc-start.c:226
#35 0x0000000000415815 in _start ()

Possible duplicates by query: bug 312057, bug 311014, bug 310526, bug 310072, bug 309357.

Reported using DrKonqi
Comment 1 David Faure 2013-02-17 21:02:27 UTC
Git commit d82e4917f7286984bce16c2fa36ea4e9f6a24453 by David Faure.
Committed on 17/02/2013 at 21:54.
Pushed by dfaure into branch 'KDE/4.10'.

Fix crash due to dangling session pointer in m_pendingInitialSession.

This happens after disconnect() kills all sessions (e.g. due to losing
internet connection while the password dialog is up, or explicit toggling
of offline/online status, or due to the "SSL not supported").
Related: bug 310072, bug 308888, bug 288268, bug 312057, bug 309357, bug 308207, bug 312535, bug 311014, bug 309346, bug 307780
FIXED-IN: 4.10.1

M  +1    -0    resources/imap/sessionpool.cpp

http://commits.kde.org/kdepim-runtime/d82e4917f7286984bce16c2fa36ea4e9f6a24453